%global python3_pkgversion 3.11
%global srcname winrm

Name:           python%{python3_pkgversion}-%{srcname}-epel
Version:        0.4.3
Release:        1%{?dist}
Summary:        Python libraries for interacting with windows remote management

License:        MIT
URL:            https://pypi.python.org/pypi/pywinrm
Source0:        https://github.com/diyan/pywinrm/archive/v%{version}/%{srcname}-%{version}.tar.gz
# Drop mock requirement
# https://github.com/diyan/pywinrm/issues/345
Patch0:         python3.11-winrm-epel-mock.patch
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python3.11dist(setuptools)
BuildRequires:  python3.11dist(pytest)
BuildRequires:  python3.11dist(xmltodict)
BuildRequires:  python3.11dist(requests) >= 2.9.1
BuildRequires:  python3.11dist(requests-ntlm) >= 0.3
BuildRequires:  python3.11dist(six)

%global _description %{expand:
This has the python libraries for interacting with Windows Remote Management.}

%description %{_description}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -p1 -n pywinrm-%{version}

%build
%py3_build

%install
%py3_install

%check
%python3 -m pytest -vv winrm/tests

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/pywinrm-*.egg-info/
%{python3_sitelib}/winrm/

%changelog
* Tue May 16 2023 Orion Poplawski <orion@nwra.com> - 0.4.3-1
- Build for EPEL with Python 3.11
